/*
 *
 * CLEX File Manager
 *
 * Copyright (C) 2001-2007 Vlado Potisk <vlado_potisk@clex.sk>
 *
 * CLEX is free software without warranty of any kind; see the
 * GNU General Public License as set out in the "COPYING" document
 * which accompanies the CLEX File Manager package.
 *
 * CLEX can be downloaded from http://www.clex.sk
 *
 */

#include <config.h>

#include <sys/types.h>		/* clex.h */
#include <string.h>

#include "clex.h"
#include "filter_match.h"

#include "ustring.h"
#include "util.h"

static const char *filter_str;
static int filter_ic;	/* /i - ignore case */

void
force_ic(int ic)
{
	filter_ic = ic;
}

void
set_filter_str(const char *filter)
{
	static USTRING dequote = { 0, 0 };
	size_t len;

	len = strlen(filter);
	if ( (filter_ic = check_mod(filter) == 'i') )
		len -= 2;
	us_setsize(&dequote,len + 1);
	dequote_txt(filter,len,USTR(dequote));
	filter_str = USTR(dequote);
}

int
filter_match(const char *str)
{
	return substring(str,filter_str,filter_ic);
}
